Crux: BRE/WFE - Task #17855

WSC: WorkflowGet()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Aniket Shinde % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb
Description
WorkflowGet()
Request
{
"slice": 5,
"app": "steeringcommittee",
"class": "members",
"name": "goldstatus"

where all four parameters are mandatory and they together uniquely identify a single workflow.
Processing

The caller must have ruleset capability for the app to which this ruleset belongs. A caller with root rights may apply the call to any
ruleset in her realm.

Response

{
"id": 5824,
"slice": 5,
"app": "steeringcommittee",
"class": "members",
"name": "goldstatus",
"is_active": false,
"is_internal": true,
"flowrules": "{ some JSON block }",
"createdat": "some timestamp",
"createdby": "sam@rulesandflows.com",
"editedat": "some timestamp",
"editedby": "timothy@corp.rulesandflows.com"

where the fields are all pulled out from the ruleset table.

History

#1 - 17/02/2024 05:25 PM - Shuvam Misra

- Assignee set to Kanchan Barve

#2 - 17/02/2024 05:25 PM - Shuvam Misra

- Assignee deleted (Kanchan Barve)

#3 - 17/02/2024 05:26 PM - Shuvam Misra

- Status changed from New to In Progress

#4 - 17/02/2024 05:26 PM - Shuvam Misra

- Target version set to Sprint 29 Feb
#5 - 19/02/2024 12:50 PM - Aniket Shinde
- % Done changed from 0 to 80
- Assignee set to Aniket Shinde

- Status changed from In Progress to Testing

Task Completed: 80%
Pending: realm implementation

#6 - 27/02/2024 02:59 PM - Aniket Shinde

- Status changed from Testing to Closed

#7 - 29/04/2024 04:20 PM - Tushar Bhingare
- % Done changed from 80 to 100
